org.eclipse.ease.lang.unittest.definition.provider

## Class DefinitionItemProviderAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.ease.lang.unittest.definition.util.DefinitionAdapterFactory
    - - org.eclipse.ease.lang.unittest.definition.provider.DefinitionItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

    public class DefinitionItemProviderAdapterFactory
    extends DefinitionAdapterFactory
    implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

### Constructor Summary

Constructors
Constructor and Description
`DefinitionItemProviderAdapterFactory()` This constructs an instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.emf.common.notify.Adapter` `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
`java.lang.Object` `adapt(java.lang.Object object, java.lang.Object type)`
`void` `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener.
`org.eclipse.emf.common.notify.Adapter` `createCodeAdapter()` This creates an adapter for a `ICode`.
`org.eclipse.emf.common.notify.Adapter` `createFlagToStringMapAdapter()` This creates an adapter for a `Map.Entry`.
`org.eclipse.emf.common.notify.Adapter` `createTestSuiteDefinitionAdapter()` This creates an adapter for a `ITestSuiteDefinition`.
`org.eclipse.emf.common.notify.Adapter` `createVariableAdapter()` This creates an adapter for a `IVariable`.
`void` `dispose()` This disposes all of the item providers created by this factory.
`void` `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

### Methods inherited from class org.eclipse.ease.lang.unittest.definition.util.DefinitionAdapterFactory

`createAdapter, createEObjectAdapter`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adaptAllNew, adaptNew`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory

`adaptAllNew, adaptNew`

### Constructor Detail

#### DefinitionItemProviderAdapterFactory

    public DefinitionItemProviderAdapterFactory()

This constructs an instance.

### Method Detail

#### createTestSuiteDefinitionAdapter

    public org.eclipse.emf.common.notify.Adapter createTestSuiteDefinitionAdapter()

This creates an adapter for a `ITestSuiteDefinition`.

Overrides:
  `createTestSuiteDefinitionAdapter` in class `DefinitionAdapterFactory`
Returns:
  the new adapter.
See Also:
  `ITestSuiteDefinition`

#### createVariableAdapter

    public org.eclipse.emf.common.notify.Adapter createVariableAdapter()

This creates an adapter for a `IVariable`.

Overrides:
  `createVariableAdapter` in class `DefinitionAdapterFactory`
Returns:
  the new adapter.
See Also:
  `IVariable`

#### createFlagToStringMapAdapter

    public org.eclipse.emf.common.notify.Adapter createFlagToStringMapAdapter()

This creates an adapter for a `Map.Entry`.

Overrides:
  `createFlagToStringMapAdapter` in class `DefinitionAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Map.Entry`

#### createCodeAdapter

    public org.eclipse.emf.common.notify.Adapter createCodeAdapter()

This creates an adapter for a `ICode`.

Overrides:
  `createCodeAdapter` in class `DefinitionAdapterFactory`
Returns:
  the new adapter.
See Also:
  `ICode`

#### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

This returns the root adapter factory that contains this factory.

Specified by:
  `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

#### setParentAdapterFactory

    public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

This sets the composed adapter factory that contains this factory.

Specified by:
  `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

#### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

Specified by:
  `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `isFactoryForType` in class `DefinitionAdapterFactory`
Returns:
  whether this factory is applicable for the type of the object.

#### adapt

    public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                       java.lang.Object type)

This implementation substitutes the factory itself as the key for the adapter.

Specified by:
  `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

#### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

Specified by:
  `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

#### addListener

    public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

This adds a listener.

Specified by:
  `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

#### removeListener

    public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

This removes a listener.

Specified by:
  `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

#### fireNotifyChanged

    public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

This delegates to `changeNotifier` and to `parentAdapterFactory`.

Specified by:
  `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

#### dispose

    public void dispose()

This disposes all of the item providers created by this factory.

Specified by:
  `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`